aboutsummaryrefslogtreecommitdiff
path: root/tests/linux-sandbox.sh
diff options
context:
space:
mode:
authorJohn Ericson <John.Ericson@Obsidian.Systems>2021-09-30 22:42:15 +0000
committerJohn Ericson <John.Ericson@Obsidian.Systems>2021-09-30 22:42:15 +0000
commit9af9ab42126869b0be920db0224b7e1da58342a1 (patch)
tree696cb996c35a75a15729f86ded875a0bcdffdc09 /tests/linux-sandbox.sh
parentd0ed11ca729344fd00251d0bc31f0c2f32d2c6a7 (diff)
parentf4f3203aa7c2fc9225a8ae220db25593066fb397 (diff)
Merge branch 'path-info' into ca-drv-exotic
Diffstat (limited to 'tests/linux-sandbox.sh')
-rw-r--r--tests/linux-sandbox.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/tests/linux-sandbox.sh b/tests/linux-sandbox.sh
index 70a90a907..3f304ac2f 100644
--- a/tests/linux-sandbox.sh
+++ b/tests/linux-sandbox.sh
@@ -1,14 +1,16 @@
source common.sh
+needLocalStore "the sandbox only runs on the builder side, so it makes no sense to test it with the daemon"
+
clearStore
-if ! canUseSandbox; then exit; fi
+if ! canUseSandbox; then exit 99; fi
# Note: we need to bind-mount $SHELL into the chroot. Currently we
# only support the case where $SHELL is in the Nix store, because
# otherwise things get complicated (e.g. if it's in /bin, do we need
# /lib as well?).
-if [[ ! $SHELL =~ /nix/store ]]; then exit; fi
+if [[ ! $SHELL =~ /nix/store ]]; then exit 99; fi
chmod -R u+w $TEST_ROOT/store0 || true
rm -rf $TEST_ROOT/store0